Page MenuHomePhabricator

Error: your composer.lock file is not up to date
Closed, DeclinedPublic

Description

hhvm and zend test runs failing consistently with this error. See the end of:

https://integration.wikimedia.org/ci/job/mediawiki-extensions-hhvm/33597/console

Event Timeline

Gilles created this task.Sep 29 2015, 9:51 PM
Gilles raised the priority of this task from to High.
Gilles updated the task description. (Show Details)
Gilles added a subscriber: Gilles.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 29 2015, 9:51 PM
Legoktm closed this task as Declined.Sep 29 2015, 10:19 PM
Legoktm claimed this task.
Legoktm added a subscriber: Legoktm.

This is an intermittent issue when library upgrades happen. It'll go away once T90303: Fetch dependencies using composer instead of cloning mediawiki/vendor for non-wmf branches is fixed.